IF COMMAND$ = "" THEN
    PRINT "Usage:  RQMAKE <makefilename>";
    END
ELSEIF DIR$(COMMAND$) = "" THEN
    PRINT CHR$(34) + COMMAND$ + CHR$(34) + " does not exist";
    END
END IF
incldir$ = "": libdir$ = "": rcdir$ = CURDIR$
MyFile$ = "": MyIcon$ = "": MyMode$ = ""
OPEN COMMAND$ FOR INPUT AS 1
p = 0
'LINE INPUT #1, a$
WHILE NOT EOF(1)
  LINE INPUT #1, a$
  p = p + 1
  j = INSTR(a$, "=")
  IF j = 0 THEN GOTO ExitErr
  IF LCASE$(LEFT$(a$, 4)) = "comp" OR LCASE$(LEFT$(a$, 2)) = "rc" THEN
    GOSUB Parse
    rcdir$ = q1$
  ELSEIF LEFT$(LCASE$(a$), 4) = "cons" THEN
    MyMode$ = " -CONS"
  ELSEIF LEFT$(LCASE$(a$), 3) = "gui" THEN
    MyMode$ = " -GUI"
  ELSEIF LCASE$(LEFT$(a$, 3)) = "lib" THEN
    GOSUB Parse
    libdir$ = q1$
  ELSEIF LCASE$(LEFT$(a$, 3)) = "inc" THEN
    GOSUB Parse
    incldir$ = q1$
  ELSEIF LEFT$(LCASE$(a$), 4) = "icon" THEN
    GOSUB Parse
    MyIcon$ = q1$
  ELSEIF LEFT$(LCASE$(a$), 4) = "file" OR LEFT$(LCASE$(a$), 6) = "source" THEN
    GOSUB Parse
    MyFile$ = q1$
  END IF
  
WEND
CLOSE 1
IF MyFile$ = "" THEN GOTO ExitErr2
IF MyIcon$ <> "" THEN MyIcon$ = " -g" + CHR$(34) + MyIcon$ + CHR$(34)
IF libdir$ = "" THEN libdir$ = rcdir$
IF incldir$ = "" THEN incldir$ = rcdir$
libdir$ = " -L" + CHR$(34) + libdir$ + CHR$(34)
incldir$ = " -I" + CHR$(34) + incldir$ + CHR$(34)
IF RIGHT$(rcdir$, 1) <> "\" THEN rcdir$ = rcdir$ + "\"
rcdir$ = rcdir$ + "RC "
PRINT rcdir$ + libdir$ + incldir$ + MyMode$ + MyIcon$ + " " + MyFile$
OPEN "make.bat" FOR OUTPUT AS 1
PRINT #1, rcdir$ + libdir$ + incldir$ + MyMode$ + MyIcon$ + " " + MyFile$
CLOSE 1
SHELL "make.bat"
KILL "make.bat"
END
Parse:
  q1$ = RIGHT$(a$, LEN(a$) - j)
  q1$ = LTRIM$(q1$)
  q1$ = RTRIM$(q1$)
  FOR n = 1 TO LEN(q1$)
    IF MID$(q1$, n, 1) = "\" THEN MID$(q1$, n, 1) = "/"
  NEXT
RETURN
ExitErr:
PRINT "ERROR! "
PRINT " '=' missing in line"; p
END

ExitErr2:
PRINT "Error!"
PRINT " No Source File Given"
END

